@echo off
REM 5724-I63, 5724-H88 (C) COPYRIGHT International Business Machines Corp. 2002, 2005
REM All Rights Reserved * Licensed Materials - Property of IBM

set LB_ENCODING=
chcp | find "850" > nul
if not ERRORLEVEL 1 set LB_ENCODING=-Dfile.encoding=Cp850

set CCO_CLIENT_KEYS=%IBMLBPATH%\admin\keys
set CCO_SERVER_KEYS=%IBMLBPATH%\servers\key
set CCO_INSTALL_PATH=%IBMLBPATH%
set CCO_RMIPORT=13099
set CCO_RMISERVERPORT=13199
set CCO_SCRIPTDIR=%IBMLBPATH%\servers\bin\
set CCO_LOGDIR=%IBMLBPATH%\servers\logs\cco\
set CCO_LOGFILE=server.log
set CCO_CONFIGFILE=default.xml
set CCO_SAVEDIR=%IBMLBPATH%\servers\configurations\cco\

set CCO_ENVIRONMENT=-Djava.protocol.handler.pkgs=com.ibm.net.ssl.internal.www.protocol -Dcom.ibm.edge.nd.ClientKeysDirectory=%CCO_CLIENT_KEYS% -Dcom.ibm.edge.nd.ServerKeysDirectory=%CCO_SERVER_KEYS% -Dcom.ibm.edge.nd.InstallPath=%CCO_INSTALL_PATH% -Dcom.ibm.edge.nd.RMIListenPort=%CCO_RMIPORT% -Dcom.ibm.edge.nd.RMIServerPort=%CCO_RMISERVERPORT% -Dcom.ibm.edge.nd.ConfigFilename=%CCO_CONFIGFILE% -Dcom.ibm.edge.nd.ScriptDirectory=%CCO_SCRIPTDIR%  -Dcom.ibm.edge.nd.LogDirectory=%CCO_LOGDIR% -Dcom.ibm.edge.nd.LogFilename=%CCO_LOGFILE% -Dcom.ibm.edge.nd.ConfigDirectory=%CCO_SAVEDIR%

set CCO_CLASSPATH=%IBMLBPATH%\servers\lib;%IBMLBPATH%\servers\lib\lbcommands.jar;%IBMLBPATH%\servers\lib\ibmlb.jar;%IBMLBPATH%\admin\lib\ChartRuntime.jar;%IBMLBPATH%\admin\lib\;%IBMLBPATH%\admin\lib\management.jar;%IBMLBPATH%\admin\lib\tmx4jc.jar;%IBMLBPATH%\servers\lib\CustomAdvisors

set PATH=%IBMLBPATH%\servers\bin;%IBMLBPATH%\servers\lib;%PATH%

if "%1" == "s" goto stop
if "%1" == "st" goto stop
if "%1" == "sto" goto stop
if "%1" == "stop" goto stop

%IBMLBPATH%\java\jre\bin\javaw %LB_ENCODING% -Xrs -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Stack=false -cp %CCO_CLASSPATH% %CCO_ENVIRONMENT% com.ibm.internet.nd.server.SRV_CCOServer
goto done

:stop
%IBMLBPATH%\java\jre\bin\java %LB_ENCODING% -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Stack=false -cp %CCO_CLASSPATH% %CCO_ENVIRONMENT% com.ibm.internet.nd.server.SRV_KillServer CCOServer CCO

:done
